Bug 891647 - clarify the disadvantages of enumeration in sssd.conf
Summary: clarify the disadvantages of enumeration in sssd.conf
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jakub Hrozek
QA Contact: Kaushik Banerjee
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-03 14:26 UTC by Dmitri Pal
Modified: 2013-11-21 22:13 UTC (History)
5 users (show)

Fixed In Version: sssd-1.9.2-115.el6
Doc Type: Known Issue
Doc Text:
It is possible to specify the enumerate=true value in the sssd.conf file to access all users in the system. However, using enumerate=true is not recommended in large environments as this can lead to high CPU consumption. As a result, operations like login or logout can be slowed down.
Clone Of:
Environment:
Last Closed: 2013-11-21 22:13:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:1680 normal SHIPPED_LIVE sssd bug fix and enhancement update 2013-11-20 21:52:37 UTC

Description Dmitri Pal 2013-01-03 14:26:03 UTC
This is the release note bug.

This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/1732

Many users set enumerate=true in their configuration for convenience of being able to access all the users. We should explain that enumeration might not be a great idea in big environments due to bugs like #1729.

Comment 1 RHEL Product and Program Management 2013-01-07 06:47:15 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 2 Jakub Hrozek 2013-01-30 12:44:18 UTC
Patch landed upstream in 1.9.4

Comment 3 Kaushik Banerjee 2013-03-21 08:47:43 UTC
RHEL 6.5 would include the fix to https://fedorahosted.org/sssd/ticket/1737

Comment 5 Jakub Hrozek 2013-05-10 15:12:52 UTC
Fixed upstream.

Comment 11 Kaushik Banerjee 2013-09-24 07:13:57 UTC
Verified in "man sssd.conf" with version sssd-1.9.2-127.el6

Comment 12 errata-xmlrpc 2013-11-21 22:13:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-1680.html


Note You need to log in before you can comment on or make changes to this bug.